import { IChromosome, ICrossover } from '..';
export declare abstract class CrossoverBase implements ICrossover {
    protected _parentsNumber: number;
    protected _childrenNumber: number;
    protected constructor(_parentsNumber: number, _childrenNumber: number);
    get parentsNumber(): number;
    get childrenNumber(): number;
    cross(parents: Array<IChromosome>, probability: number): Array<IChromosome>;
    protected abstract performCross(parents: Array<IChromosome>, probability: number): Array<IChromosome>;
}
